Summary:	Yadex is a level editor for DOOM
Name:		yadex
Version:	1.7.0
Release:	%mkrel 4
License:	GPL
Group:		Games/Arcade

Source:		http://www.teaser.fr/~amajorel/yadex/%name-%version.tar.bz2

URL:		http://www.teaser.fr/~amajorel/yadex
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	XFree86-devel

%description
Yadex is a Doom level (wad) editor for Unix systems running X, including
Linux. It supports Doom, Doom II, Ultimate Doom, Final Doom, Heretic,
Doom press release pre beta and also, in a more or less limited way, Hexen,
Strife and Doom alpha. It is available under the terms of the GPL.

%prep

%setup -q

%build
./configure --prefix=%_prefix
%make CXXFLAGS="$RPM_OPT_FLAGS" X11LIBDIR=%{_prefix}/X11R6/%{_lib}

%install
rm -rf $RPM_BUILD_ROOT
make \
    BINDIR=%buildroot/%_bindir \
    ETCDIR=%buildroot/%_sysconfdir/%name/%version \
    ETCDIRNV=%buildroot/%_sysconfdir/%name \
    MANDIR=%buildroot/%_mandir \
    SHAREDIR=%buildroot/%_datadir/games/%name/%version \
    SHAREDIRNV=%buildroot/games/%_datadir \
        install

mkdir -p ./html
mv ./doc/*.html ./html
mv ./docsrc/*.png ./html
  
cat %buildroot/%_sysconfdir/%name/%version/yadex.cfg | \
	sed -e "s|/usr/local|%_prefix|" > %buildroot/%_sysconfdir/%name/%version/yadex.cfg.tmp

mv %buildroot/%_sysconfdir/%name/%version/yadex.cfg.tmp %buildroot/%_sysconfdir/%name/%version/yadex.cfg

install -d %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name): needs="text" section="Amusement/Arcade" title="Yadex" icon="arcade_section.png" longtitle="A level editor for DOOM" command="%name"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc README TODO CHANGES COPYING COPYING.LIB html
%_bindir/yadex
%_bindir/yadex-%{version}
%dir %_sysconfdir/%name
%dir %_sysconfdir/%name/%version
%config(noreplace) %_sysconfdir/%name/%version/yadex.cfg
%dir %_gamesdatadir/yadex
%dir %_gamesdatadir/yadex/%{version}
%_gamesdatadir/yadex/%{version}/*.ygd
%_mandir/man6/yadex*
%_menudir/yadex

%changelog
* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 1.7.0-4mdk
- fix x86_64 build

* Thu Oct 20 2005 Olivier Thauvin <nanardon@mandriva.org> 1.7.0-3mdk
- rebuild

* Fri Jul 02 2004 Michael Scherer <misc@mandrake.org> 1.7.0-2mdk 
- rebuild for new gcc

* Tue Jan 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.7.0-1mdk
- 1.7.0

* Sat Aug 02 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.6.0-2mdk
- buildrequires
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- macroize
- compile with $RPM_OPT_FLAGS

* Sat May 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.6.0-1mdk
- 1.6.0
- remove excludearch ppc
 
* Tue Dec 25 2001 David BAUDENS <baudens@mandrakesoft.com> 1.5.2-2mdk
- Use standard icon in menu

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 1.5.2-1mdk
- 1.5.2
- removed hard-coded version number in specfile

* Sat Jan 06 2001 David BAUDENS <baudens@mandrakesoft.com> 1.5.1-2mdk
- ExcludeArch: ppc
- %%setup -q
- Spec clean up

* Fri Dec 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-1mdk
- updated to 1.5.1

* Thu Sep 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-1mdk
- used srpm from Max Heijndijk <cchq@wanadoo.nl> :
  * Wed Aug 23 2000 Max Heijndijk <cchq@wanadoo.nl> 
  - Added *.png files for docs.

* Tue Aug 22 2000 Max Heijndijk <cchq@wanadoo.nl> 
- Initial wrap.
